#
# spec file for package libtool (Version 1.5.22)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libtool
BuildRequires:  gcc-c++ gcc-fortran gcc-java gcc-objc
License:        GPL v2 or later
Group:          Development/Tools/Building
AutoReqProv:    on
PreReq:         %{install_info_prereq}
Summary:        A Tool to Build Shared Libraries
Version:        1.5.22
Release:        13.16.1
Url:            http://www.gnu.org/software/libtool/
Source:         ftp://ftp.gnu.org/pub/gnu/libtool/libtool-%{version}.tar.gz
Patch0:         libtool-dont_load_from_current_dir.patch
#Patch:        libtool-%{version}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNU libtool is a set of shell scripts to automatically configure UNIX
architectures to build shared libraries in a generic fashion.



Authors:
--------
    Gordon Matzigkeit  <gord@gnu.org>
    Alexandre Oliva  <oliva@dcc.unicamp.br>
    Thomas Tanner  <tanner@ffii.org>
    Gary V. Vaughan  <gvv@techie.com>
    Ossama Othman  <ossama@debian.org>
    Robert Boehne  <rboehne@ricardo-us.com>
    Bob Friesenhahn  <bfriesen@simple.dallas.tx.us>

%prep
%setup -q
%patch0

%build
# get the current config.guess & config.sub.
# -f: don't look at the file timestamps (they might be wrong due to patches)
%{?suse_update_config:%{suse_update_config -l -f}}
#test libtool.m4 -ef acinclude.m4 || cp libtool.m4 acinclude.m4
#rm -f libltdl/acinclude.m4
#cat libtool.m4 ltdl.m4 >libltdl/acinclude.m4
#autoreconf --force
./configure CFLAGS="$RPM_OPT_FLAGS" \
   --prefix=/usr --infodir=%{_infodir} --libdir=%{_libdir}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%post
%run_ldconfig
%install_info --info-dir=%{_infodir} %{_infodir}/libtool.info.gz

%postun
%run_ldconfig
%install_info_delete --info-dir=%{_infodir} %{_infodir}/libtool.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README THANKS
/usr/bin/libtool
/usr/bin/libtoolize
/usr/include/ltdl.h
%{_libdir}/libltdl.a
%attr(644, root, root) %{_libdir}/libltdl.la
%{_libdir}/libltdl.so*
/usr/share/aclocal/*.m4
%doc %{_infodir}/libtool.info*
/usr/share/libtool

%changelog
* Wed Nov 25 2009 pth@suse.de
- VUL-0 CVE-2009-3736 (bnc#556122):
  - Fix libltdl to no longer attempt to dlopen() the old_library
    listed in the .la file. Now will use only the preopen loader to
    attempt to load it. This may be a security issue, all users are
    advised to upgrade.
  - Similarly, don't open module.la from the current directory, this
    changes the behavior of libltdl to match the documentation.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 schwab@suse.de
- Run ldconfig.
* Mon Jan  9 2006 schwab@suse.de
- Update to libtool 1.5.22.
* Thu Sep  1 2005 schwab@suse.de
- Update to libtool 1.5.20.
* Tue May 17 2005 schwab@suse.de
- Update to libtool 1.5.18.
* Thu Apr 28 2005 schwab@suse.de
- Don't install in libltdl data files in libltdl directory.
* Tue Apr 26 2005 schwab@suse.de
- Update to libtool 1.5.16.
* Sat Feb 12 2005 schwab@suse.de
- Update to libtool 1.5.14.
* Mon Feb  7 2005 schwab@suse.de
- Fix handling of -pthread during linking.
* Sat Feb  5 2005 schwab@suse.de
- Update to libtool 1.5.12.
* Fri Oct  8 2004 schwab@suse.de
- Update to libtool 1.5.10.
* Tue Aug 10 2004 ro@suse.de
- clean neededforbuild
* Sat Aug  7 2004 schwab@suse.de
- Update to libtool 1.5.8.
* Mon Apr 12 2004 schwab@suse.de
- Update to libtool 1.5.6.
* Mon Jan 26 2004 schwab@suse.de
- Update to libtool 1.5.2.
* Wed Oct 15 2003 schwab@suse.de
- Make sure we get a full-featured libtool [#32356].
* Thu Jul  3 2003 meissner@suse.de
- biarch fix for powerpc64-*linux*.
* Fri Apr 25 2003 schwab@suse.de
- Update to libtool 1.5.
- Fix AC_PROG_LD_GNU.
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Apr  7 2003 schwab@suse.de
- Only delete info entries when removing last version.
* Thu Feb  6 2003 schwab@suse.de
- Use %%install_info.
* Wed Dec  4 2002 schwab@suse.de
- Make sure we are using the fixed libtool macros during configuring.
* Thu Oct 24 2002 schwab@suse.de
- Update to libtool 1.4.3.
* Thu Sep 19 2002 schwab@suse.de
- Remove execute permission from *.la.
- libtoolize: fix reference to configure.in.
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Mon Jul 29 2002 meissner@suse.de
- Added patch for a directory open problem (exhibited by gphoto in
  LANG=de_DE). (extracted from libtool CVS)
* Fri Jun  7 2002 schwab@suse.de
- Fix for lib64.
* Wed Jun  5 2002 schwab@suse.de
- Fix logic in ltmain.sh.
* Mon Apr 15 2002 sf@suse.de
- use pass_all in AC_DEPLIBS_CHECK_METHOD for x86_64
* Thu Mar 28 2002 schwab@suse.de
- Fix last change to not patch the generated file.
* Wed Feb 13 2002 stepan@suse.de
- allow link against an archive when building a shared library
- patch to use mktemp to create the tempdir
- fix test quoting in ltmain.in
* Tue Feb  5 2002 schwab@suse.de
- Add patch to support DESTDIR.
* Fri Jan  4 2002 schwab@suse.de
- Quote $AS when writing it to libtool script.
* Tue Nov 13 2001 schwab@suse.de
- Use pass_all on mips.
* Mon Oct  8 2001 schwab@suse.de
- Fix quoting with "libtool --mode=execute".
* Thu Sep 27 2001 schwab@suse.de
- Update to libtool 1.4.2 (more portability fixes).
* Tue Sep  4 2001 schwab@suse.de
- Update to libtool 1.4.1 (only portability fixes).
* Mon Jul 23 2001 schwab@suse.de
- Use pass_all in AC_DEPLIBS_CHECK_METHOD for s390* and m68k.
* Tue Jun 12 2001 schwab@suse.de
- Add URL.
- Install some docs.
* Mon Jun 11 2001 olh@suse.de
- recognize ppc64
* Thu May  3 2001 schwab@suse.de
- Update to libtool 1.4.
* Mon Feb 19 2001 schwab@suse.de
- Fix use of suse_update_config macro.
* Mon Feb 19 2001 ro@suse.de
- fix specfile for sparc64  (again)
* Thu Feb 15 2001 fober@suse.de
- add suse_update_config (for the reason of 390 and the sake of the
  rest)
* Wed Sep 20 2000 fober@suse.de
- s390: change deplibs_check_method back to file_magic (like 1.3.4)
* Mon Sep  4 2000 nadvornik@suse.cz
- update to 1.3.5
* Fri May 12 2000 schwab@suse.de
- Don't add libc to deplibs on Linux.
* Sat Apr  1 2000 bk@suse.de
- updated config.sub and config.guess patches for s390
* Tue Mar 28 2000 bk@suse.de
- patched config.sub and config.guess for s390
* Wed Mar 22 2000 schwab@suse.de
- Fix linux -> linux-gnu transformation in ltconfig.
* Fri Feb 11 2000 kukuk@suse.de
- Add patches from LinuxPPC reference sources
* Tue Jan 25 2000 kukuk@suse.de
- Update to 1.3.4
- move /usr/info -> /usr/share/info
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 19 1999 florian@suse.de
- update to version 1.3.3
* Sat Sep 26 1998 ke@suse.de
- initial version: 1.2b.
